#!/bin/bash
source "${AGENT_PATH}/_common.sh"
_check_required_env_vars

# RESTORE SCRIPT


# uninstall container before restore
bash ./uninstall.sh || _die "Failed to uninstall service before restore"

# restore data from backup file
if ! autorestore volume=$DATA_VOLUME volume=$CONFIG_VOLUME "$1" "$2"; then
    _die "Failed to restore data from backup file"
fi

# reinstall service
bash ./install.sh || _die "Failed to reinstall service after restore"

echo "Restore complete! Service is running again."
